<?php
function x_5r($x_5s){ 
$x_5t = $x_5s/1024; 
if ($x_5t==0) 
$x_5t = '0 kB'; 
elseif ($x_5t<1) 
$x_5t = '1 kB'; 
else 
$x_5t = str_replace(' ', '&nbsp;', number_format($x_5t, 0, ',', ' ').' kB'); 
return $x_5t; 
} 
function x_5u($x_3n, $x_5s) { 
switch ($x_3n) { 
case sslvpn_DET_Network: 
return "<kerio:text id='network'/>"; 
break; 
case sslvpn_DET_Domain: 
return "<kerio:text id='domain'/>"; 
break; 
case sslvpn_DET_Server: 
return "<kerio:text id='server'/>"; 
break; 
case sslvpn_DET_Directory: 
return "<kerio:text id='dir'/>"; 
break; 
case sslvpn_DET_File: 
return x_5r($x_5s); 
break; 
default: 
return ''; 
break; 
} 
} 
function x_5v($x_3n, $x_5w = '20'){ 
switch ($x_3n) { 
case sslvpn_DET_Directory: 
$x_5x = "/nonauth/gfx/directory.gif"; 
break; 
case sslvpn_DET_File: 
$x_5x = "/nonauth/gfx/file.gif"; 
break; 
case sslvpn_DET_Server: 
$x_5x = "/nonauth/gfx/server.gif"; 
break; 
case sslvpn_DET_Domain: 
$x_5x = "/nonauth/gfx/domain.gif"; 
break; 
default: 
$x_5x = "/nonauth/gfx/unknown.png"; 
break; 
} 
$x_5x = '<img src="'.$x_5x.'" width="'.$x_5w.'" height="'.$x_5w.'" border="0" align="absmiddle">'; 
return $x_5x; 
} 
function x_3c() { 
global $x_1r; 
global $x_2z; 
$x_1r = urldecode($x_1r); 
$x_5y = x_38($x_1r); 
$x_4n = '	<form id="goToDirForm" name="goToDirForm" method="POST" target="executeIt" action="" onSubmit="x_5z();">


					<table id="goToDirTable" cellspacing="0" cellpadding="0" border="0" style="width:100%;">


						<tr>


							<td width="26" style="padding-left: 10px;">


								<span id="waitSpan" style="display: block;"><img src="/nonauth/gfx/wait.gif" width="16" height="16" alt="" border="0" align="absmiddle" style="cursor: pointer;"></span>


								<span id="refreshSpan" style="display: none; cursor: pointer;" onClick="x_5i(document.getElementById(\'refreshPath\').value)"><img src="/nonauth/gfx/tb_refresh.gif" width="16" height="16" border="0" title="'.'<kerio:text id="head_refresh"/>'.'"></span>


							</td>


							<td style="padding-left: 10px;" nowrap>'.'<kerio:text id="head_current_path"/>'.':&nbsp;</td>


							<td width="100%" style="padding-right:6px;">


								<input name="dirTmp" type="text" id="dirTmp" value="'.$x_5y.'" style="width:100%; " title="'.'<kerio:text id="head_goto_dir_example"/>'.'">


								<input name="directory" type="hidden" id="directory" value="'.x_23($x_1r).'">


								<input name="refreshPath" type="hidden" id="refreshPath" value="browse' . (!strpos($x_1r, '/') ? '/' : '') . $x_1r . '">


								<input name="mode" type="hidden" value="get">


							</td>


							<td nowrap style="padding-left:10px; padding-right:20px;">


								<input type="submit" style="display: none">


								<img src="/nonauth/gfx/go.gif" width="20" height="20" alt="" border="0" align="absmiddle" title="'.'<kerio:text id="head_goto_dir"/>'.'" style="cursor: pointer;" onClick="if (x_5z()) document.goToDirForm.submit();">


							</td>


							</td>


							<td>


								<span style="cursor: pointer;" onClick="document.location=\'/logout.php\';">


								<table cellpadding="0" cellspacing="0" border="0">


									<tr>


										<td colspan="2" nowrap>' . $x_2z . '&nbsp;</td>


									</tr>


									<tr style="cursor: pointer;">


										<td width="16"><img src="/nonauth/gfx/tb_logout.gif" width="16" height="16" align="absmiddle" border="0"></td>


										<td style="padding-right: 10px;padding-left: 3px;" nowrap>


											<kerio:text id="head_logout"/>


										</td>


									</tr>


								</table>


								</span>


							</td>


						</tr>


					</table>


					</form>'; 
return $x_4n; 
} 
function x_38($x_1r) { 
if (strlen(str_replace('/', '', $x_1r))==0 || strlen(str_replace('cont:', '', $x_1r))==0) 
$x_5y = '<kerio:text id="entire_network"/>'; 
elseif (strlen(str_replace('cont:', '', $x_1r))!=0 && strlen(str_replace('cont:', '', $x_1r))!=strlen($x_1r)) 
$x_5y = str_replace('/', '',str_replace('cont:', '', $x_1r)); 
else 
$x_5y = x_23($x_1r); 
return $x_5y; 
} 
function x_5q($x_5p) { 
return 'onMouseOver="x_60(\''.$x_5p.'\', 1)" onMouseOut="x_60(\''.$x_5p.'\', 0)"'; 
} 
function x_37($x_31, $x_61) { 
global $x_d; 
$x_d -> getUserVariable('toolBar', &$x_5l); 
if (!$x_5l || $x_5l=='block') { 
$x_5m = 'block'; 
$x_5n = 'open'; 
} else { 
$x_5m = 'none'; 
$x_5n = 'close'; 
} 
$x_5o = Array(); 
$x_62 = ''; 
if (strpos($_SERVER['HTTP_USER_AGENT'], 'Safari')) { 
$x_62 = ' style="padding-left: 0px;"'; 
} 
$x_5p = 'TBitemRenameActive'; 
$x_5o['renameTableActive'] = '<div id="renameTableActiveDiv" style="display: none;">'; 
$x_5o['renameTableActive'] .= '<table id="renameTableActive" cellpadding="1" cellspacing="0">


					<tr id="'.$x_5p.'" class="toolBarItem" title="'.'<kerio:text id="title_rename"/>'.'" onClick="x_39(\'rename\')" '.x_5q($x_5p).'>


						<td class="renameActive"><kerio:text id="rename"/></td>


					</tr>


				</table>'; 
$x_5o['renameTableActive'] .= '</div>'; 
$x_5o['actionsTableActive'] = '<div id="actionsTableActiveDiv" style="display: none;">'; 
$x_5o['actionsTableActive'] .= '<table id="actionsTableActive" cellpadding="1" cellspacing="0" style="display: block;">'; 
$x_5p = 'TBitemMoveActive'; 
$x_5o['actionsTableActive'] .= '	<tr id="'.$x_5p.'" title="'.'<kerio:text id="title_move"/>'.'" onClick="x_39(\'move\')" class="toolBarItem" '.x_5q($x_5p).'>


						<td class="moveActive"><kerio:text id="move"/></td>


					</tr>'; 
$x_5p = 'TBitemCopyActive'; 
$x_5o['actionsTableActive'] .= '	<tr id="'.$x_5p.'" title="'.'<kerio:text id="title_copy"/>'.'" onClick="x_39(\'copy\')" class="toolBarItem" '.x_5q($x_5p).'>


						<td class="copyActive"><kerio:text id="copy"/></td>


					</tr>'; 
$x_5p = 'TBitemDeleteActive'; 
$x_5o['actionsTableActive'] .= '	<tr id="'.$x_5p.'" title="'.'<kerio:text id="title_delete"/>'.'" onClick="x_39(\'delete\')" class="toolBarItem" '.x_5q($x_5p).'>


						<td class="deleteActive"><kerio:text id="delete"/></td>


					</tr>'; 
$x_5o['actionsTableActive'] .= '</table>'; 
$x_5o['actionsTableActive'] .= '</div>'; 
$x_5o['creationTableActive'] = '<div id="creationTableActiveDiv" style="display: block;">'; 
$x_5o['creationTableActive'] .= '<table id="creationTableActive" cellpadding="1" cellspacing="0">'; 
$x_5p = 'TBitemCreateActive'; 
$x_5o['creationTableActive'] .= '<tr id="'.$x_5p.'" title="'.'<kerio:text id="title_create"/>'.'" onClick="x_39(\'create\')" class="toolBarItem" '.x_5q($x_5p).'>


						<td class="createActive"><kerio:text id="create"/></td>


					</tr>'; 
$x_5p = 'TBitemUploadActive'; 
$x_5o['creationTableActive'] .= '<tr id="'.$x_5p.'" title="'.'<kerio:text id="title_upload"/>'.'" onClick="x_39(\'upload\')" class="toolBarItem" '.x_5q($x_5p).'>


						<td class="uploadActive"><kerio:text id="upload"/></td>


					</tr>'; 
$x_5o['creationTableActive'] .= '</table>'; 
$x_5o['creationTableActive'] .= '</div>'; 
$x_5p = 'TBitemRenameDisabled'; 
$x_5o['renameTableDisabled'] = '<div id="renameTableDisabledDiv" style="display: block;">'; 
$x_5o['renameTableDisabled'] .= '<table id="renameTableDisabled" cellpadding="1" cellspacing="0" style="display: block;">


					<tr id="'.$x_5p.'" title="'.'<kerio:text id="title_rename"/>'.'" '.x_5q($x_5p).'>


						<td class="renameDisabled itemDisabled"><kerio:text id="rename"/></td>


					</tr>


				</table>'; 
$x_5o['renameTableDisabled'] .= '</div>'; 
$x_5o['actionsTableDisabled'] = '<div id="actionsTableDisabledDiv" style="display: block;">'; 
$x_5o['actionsTableDisabled'] .= '<table id="actionsTableDisabled" cellpadding="1" cellspacing="0" style="display: block;">'; 
$x_5p = 'TBitemMoveDisabled'; 
$x_5o['actionsTableDisabled'] .= '	<tr id="'.$x_5p.'" title="'.'<kerio:text id="title_move"/>'.'" '.x_5q($x_5p).'>


						<td class="moveDisabled itemDisabled"><kerio:text id="move"/></td>


					</tr>'; 
$x_5p = 'TBitemCopyDisabled'; 
$x_5o['actionsTableDisabled'] .= '	<tr id="'.$x_5p.'" title="'.'<kerio:text id="title_copy"/>'.'" '.x_5q($x_5p).'>


						<td class="copyDisabled itemDisabled"><kerio:text id="copy"/></td>


					</tr>'; 
$x_5p = 'TBitemDeleteDisabled'; 
$x_5o['actionsTableDisabled'] .= '	<tr id="'.$x_5p.'" title="'.'<kerio:text id="title_delete"/>'.'" '.x_5q($x_5p).'>


						<td class="deleteDisabled itemDisabled"><kerio:text id="delete"/></td>


					</tr>'; 
$x_5o['actionsTableDisabled'] .= '</table>'; 
$x_5o['actionsTableDisabled'] .= '</div>'; 
$x_5o['creationTableDisabled'] = '<div id="creationTableDisabledDiv" style="display: block;">'; 
$x_5o['creationTableDisabled'] .= '<table id="creationTableDisabled" cellpadding="1" cellspacing="0">'; 
$x_5p = 'TBitemCreateDisabled'; 
$x_5o['creationTableDisabled'] .= '<tr id="'.$x_5p.'" title="'.'<kerio:text id="title_create"/>'.'" '.x_5q($x_5p).'>


						<td class="createDisabled itemDisabled"><kerio:text id="create"/></td>


					</tr>'; 
$x_5p = 'TBitemUploadDisabled'; 
$x_5o['creationTableDisabled'] .= '<tr id="'.$x_5p.'" title="'.'<kerio:text id="title_upload"/>'.'" '.x_5q($x_5p).'>


						<td class="uploadDisabled itemDisabled"><kerio:text id="upload"/></td>


					</tr>'; 
$x_5o['creationTableDisabled'] .= '</table></div>'; 
$x_5p = 'TBitemAddToBookmarksDisabled'; 
$x_5o['addToBmksTableActive'] = '<div id="addToBmksTableActive">


									<table cellpadding="1" cellspacing="0">


										<tr id="' . $x_5p.'" title="' . '<kerio:text id="title_add_to_bookmarks"/>' . '" onClick="x_39(\'addToBookmarks\')" class="toolBarItem" '.x_5q($x_5p).'>


											<td class="bookmarkAddActive"><kerio:text id="browse_add_to_bookmarks"/></td>


										</tr>


									</table></div>'; 
$x_5o['addToBmksTableDisabled'] = '<div id="addToBmksTableDisabled">


									<table cellpadding="1" cellspacing="0">


										<tr id="' . $x_5p.'" title="' . '<kerio:text id="title_add_to_bookmarks"/>' . '" '.x_5q($x_5p).'>


											<td class="bookmarkAddDisabled itemDisabled"><kerio:text id="browse_add_to_bookmarks"/></td>


										</tr>


									</table></div>'; 
$x_4n = '<div id="tasksMenu" style="padding-left: 10px;">' 
. $x_5o['renameTableDisabled'] 
. $x_5o['renameTableActive'] 
. $x_5o['actionsTableDisabled'] 
. $x_5o['actionsTableActive'] 
. (1 == $x_31 ? $x_5o['creationTableDisabled'] : $x_5o['creationTableActive']) 
. ( (SSLVPN_DET_Domain == $x_61 || SSLVPN_DET_Network == $x_61 || SSLVPN_DET_Unknown == $x_61) ? $x_5o['addToBmksTableDisabled'] : $x_5o['addToBmksTableActive']) 
.'</div>'; 
return Array('content' => $x_4n, 'display' => $x_5m, 'imgStatus' => $x_5n); 
} 
function x_36($x_1r, $x_63 = Array(), $x_64 = 0) { 
global $x_d; 
global $x_2y; 
$x_65 = '-------------------------------- #9299 log --------------------------------'."\n"; 
$x_65 .= '$x_1r = '.$x_1r."\n"; 
$x_65 .= '$x_63 = '.print_r($x_63, true)."\n"; 
$x_65 .= '$x_64 = '.$x_64."\n"; 
$x_65 .= '-------'."\n"; 
$x_d -> getUserVariable('navTree', &$x_66); 
if (!$x_66 || $x_66=='block') { 
$x_5m = 'block'; 
$x_5n = 'open'; 
} else { 
$x_5m = 'none'; 
$x_5n = 'close'; 
} 
$x_1r = urldecode($x_1r); 
$x_1u = explode ('/', str_replace('cont:', '',$x_1r)); 
settype($x_67, 'array'); 
foreach ($x_1u as $x_47 => $x_58) 
if (trim(strlen($x_58))!=0) 
$x_67[] = $x_58; 
if (strpos($x_1r, 'cont:') && $x_67[0] && strlen($x_67[0])!=0) { 
$x_68['name'] = strtoupper($x_67[0]); 
$x_68['urlPath'] = 'cont:'.urlencode($x_68['name']); 
$x_65 .= '$x_68 (type 1) = '.print_r($x_68, true)."\n"; 
} elseif ($x_67[0] && strlen($x_67[0])!=0) { 
$x_d -> getServerDomain($x_67[0], &$x_68); 
$x_65 .= '$x_68 (type 2) = '.print_r($x_68, true)."\n"; 
} 
$x_4n = ''; $x_f = ''; $x_1v = count($x_67); $x_5f = 0; 
$x_5p = 0; 
$x_4n .= '<div id="navTree'.$x_5p.'" style="padding-left:'.(10+($x_5f*10)).'px;" '.x_5q('navTree'.$x_5p).' class="browseSpan" onClick="x_5i(\'/browse/cont%3A/\')" onDblClick="x_5i(\'/browse/cont%3A/\')">' 
.'<img src="/nonauth/gfx/network.gif" width="20" height="20" border="0" align="absmiddle">&nbsp;<kerio:text id="entire_network"/>' 
.'</div>'; 
$x_65 .= '---- output ----'."\n"; 
if (strlen(trim($x_68['name']))!=0) { 
$x_5p ++; 
$x_4n .= '<div id="navTree'.$x_5p.'" style="padding-left:'.(10+($x_5f*10)).'px;" '.x_5q('navTree'.$x_5p).' class="browseSpan" onClick="x_5i(\''. str_replace('//', '/', '/browse/'.$x_68['urlPath']) .'\')" onDblClick="x_5i(\'/browse'.$x_68['urlPath'].'\')">' 
.'<img src="/nonauth/gfx/domain.gif" width="20" height="20" border="0" align="absmiddle">&nbsp;'.$x_68['name'] 
.'</div>'; 
$x_65 .= '(DET_Domain)'.$x_68['name']."\n"; 
} 
$x_5f++; 
$x_5p++; 
foreach ($x_67 as $x_47 => $x_58) { 
if (($x_64==1 && urldecode($x_58) != $x_68['name']) || $x_64==0) { 
$x_f .= $x_58.'/'; 
$x_d -> getUrlForPath($x_f, &$x_69); 
$x_6a = '\'/browse'.addslashes($x_69).'\''; 
$x_4n .= '<div id="navTree'.$x_5p.'" style="padding-left:'.(10+($x_5f*10)).'px;" '.x_5q('navTree'.$x_5p).' class="browseSpan" onClick="x_5i(' . $x_6a . ')" onDblClick="x_5i(' . $x_6a . ')">' 
.'<img src="/nonauth/gfx/'; 
if ($x_47==0) { 
$x_4n .= 'server'; 
$x_65 .= '(DET_Server) '.urldecode($x_58)."\n"; 
} elseif ($x_47==($x_1v-1)) { 
$x_4n .= 'directory_open'; 
$x_65 .= '(DET_Directory - o) '.urldecode($x_58)."\n"; 
} else { 
$x_4n .= 'directory'; 
$x_65 .= '(DET_Directory) '.urldecode($x_58)."\n"; 
} 
$x_4n .= '.gif" width="20" height="20" border="0" align="absmiddle">&nbsp;' 
.str_replace(' ', '&nbsp;', str_replace('cont:', '', htmlspecialchars(urldecode($x_58)))).'</div>'; 
$x_5f++; $x_5p++; 
} 
} 
if (count($x_63)!=0) { 
foreach ($x_63 as $x_1f) { 
$x_6a = '\'/browse'.addslashes($x_1f['urlPath']).'\''; 
$x_4n .= '<div  id="navTree'.$x_5p.'" style="padding-left:'.(10+($x_5f*10)).'px;" '.x_5q('navTree'.$x_5p).' class="browseSpan" onClick="x_5i(' . $x_6a . ')" onDblClick="x_5i(' . $x_6a . ')">' 
.x_5v($x_1f['type']).'&nbsp;' 
.str_replace(' ', '&nbsp;', htmlspecialchars($x_1f['name'])) 
.'</div>'; 
$x_5p++; 
$x_65 .= '(DET_Directory) '.$x_1f['name']."\n"; 
} 
} 
$x_65 .= '---------------------------------------------------------------------------'."\n"; 
return Array('content' => $x_4n,'display' => $x_5m, 'imgStatus' => $x_5n); 
} 
function x_2r() { 
global $x_d; 
global $x_2h; 
$x_n = $x_d->getUserBookmarks(&$x_27); 
$x_5p = 'manageBookmarks'; 
$x_6b = '<div style="padding-left : 10px;">


				<table border="0" cellpadding="1" cellspacing="0" style="width: 190px;">


					<tr id="'.$x_5p.'" title="<kerio:text id="manage_bookmarks"/>" onClick="x_5i(\'/bookmarks.php\')" onDblClick="x_5i(\'/bookmarks.php\')" class="toolBarItem" '.x_5q($x_5p).'>


						<td width="16"><img src="/nonauth/gfx/tb_bookmark.gif" width="16" height="16" border="0" align="absmiddle"></td>


						<td width="100%">&nbsp;<kerio:text id="manage_bookmarks"/></td>


					</tr>


				</table><br>'; 
$x_4n = ''; 
if ($x_n==0 && count($x_27)!=0) { 
foreach ($x_27 as $x_21) 
$x_6c[$x_21['path']] = x_5j($x_21['path'], $x_21['description']); 
kerio_sort($x_2h[0], $x_6c); 
$x_4n .= '<table border="0" cellpadding="1" cellspacing="0" class="bookmarksList">'; 
$x_5p = 0; 
foreach ($x_6c as $x_1r => $x_5k) { 
$x_d -> getUrlForPath($x_1r, &$x_f); 
$x_4n .= '<tr id="bookmark' . $x_5p . '" onClick="x_5i(\'/browse' 
. $x_f . '\')" onDblClick="x_5i(\'/browse' 
. $x_f . '\')" ' 
. x_5q('bookmark' . $x_5p) . '>


						<td>&nbsp;' 
. x_6d(str_replace('&amp;', '&', $x_5k), 174, false, true) 
. '</td></tr>'; 
$x_5p++; 
} 
$x_4n .= '</table>'; 
} 
$x_d -> getUserVariable('bookmarkWindow', &$x_6e); 
if (!$x_6e || $x_6e=='block') { 
$x_5m = 'block'; 
$x_5n = 'open'; 
} else { 
$x_5m = 'none'; 
$x_5n = 'close'; 
} 
return Array('content' => $x_6b.$x_4n.'</div>','display' => $x_5m, 'imgStatus' => $x_5n); 
} 
function x_34($x_1r, $x_30, $x_32, $x_31) { 
global $x_2y, $x_d; 
$x_6f = '<tr class="browserHeader">


						<td class="upGrey browseHead checkCol">' 
.($x_31==0 ? '<input id="mainBox" name="entryAll" type="checkbox" value="1" title="'.'<kerio:text id="browse_seldesel_all"/>'.'" onClick="x_5e(\'all\', \'mainBox\')">' : '&nbsp;') 
.'</td>


						<td class="upGrey browseHead iconCol">&nbsp;</td>


						<td class="upGrey browseHead" onClick = "x_2t(0, \'on\'); x_6g(\''.addslashes($x_1r).'\', \''.sslvpn_ST_Name.'\', '.($x_30['type']==sslvpn_ST_Name && $x_30['descending']==0 ? 1:0).');" style="cursor: pointer;">' 
.'<kerio:text id="browse_name"/>'.x_6h($x_30, sslvpn_ST_Name) 
.'</td>


						<td class="upGrey browseHead" nowrap onClick="x_2t(0, \'on\'); x_6g(\''.addslashes($x_1r).'\', \''.sslvpn_ST_Size.'\', '.($x_30['type']==sslvpn_ST_Size && $x_30['descending']==0 ? 1:0).');" style="cursor: pointer;">' 
.'<kerio:text id="browse_size"/>'.x_6h($x_30, sslvpn_ST_Size) 
.'</td>


						<td class="upGrey browseHead" style="cursor: pointer;" onClick="x_2t(0, \'on\'); x_6g(\''.addslashes($x_1r).'\', \''.sslvpn_ST_FileTime.'\', '.($x_30['type']==sslvpn_ST_FileTime && $x_30['descending']==0 ? 1:0).');">' 
.'<kerio:text id="browse_changed"/>'.x_6h($x_30, sslvpn_ST_FileTime) 
.'</td>


						<td class="upGrey browseHead" nowrap onClick="x_2t(0, \'on\'); x_6g(\''.addslashes($x_1r).'\', \''.sslvpn_ST_Description.'\', '.($x_30['type']==sslvpn_ST_Description && $x_30['descending']==0 ? 1:0).');" style="cursor: pointer;">' 
.'<kerio:text id="browse_description"/>'.x_6h($x_30, sslvpn_ST_Description).'</td></tr>'; 
$x_4n = '<form id="browserForm" action="" target="KerioSSLVPNActionWindow" method="POST">


				<table id="browserTable" cellpadding="0" cellspacing="0" style="width:100%;">'.$x_6f; 
if ($x_32['entriesSystemErrorCode']!=0) 
$x_u = x_v($x_32['entriesSystemErrorCode']); 
if (!$x_u && count($x_32['entries'])==0) 
$x_6i = true; 
if ($x_u) { 
$x_3w = $x_32['entriesSystemErrorCode']; 
} else { 
$x_3w = 0; 
$x_5f=0; 
$x_2y->getString("InternalDownload", &$x_2x); 
if ($x_32['hasParent']==1) { 
$x_6j = $x_32['parent']; 
$x_6k = '/browse'.$x_6j['urlPath']; 
$x_4n .= '	<tr class="browserRow">


							<td class="checkCol up">&nbsp;</td>


							<td class="iconCol up">'.'<span class="browseSpan" onClick="x_5i(\''.$x_6k.'\')" onDblClick="x_5i(\''.$x_6k.'\')"><img border="0" src="/nonauth/gfx/up.gif"></span>'.'</td>


							<td colspan="5" class="up">'.'<i><span class="browseSpan" onClick="x_5i(\''.$x_6k.'\')" onDblClick="x_5i(\''.$x_6k.'\')"><kerio:text id="browse_up"/></span></i>'.'</td>


						</tr>'; 
} 
settype($x_63, 'array'); 
if ($x_6i) 
$x_4n .= '<tr class="browserRow"><td id="browserMessage" colspan="6">'.'<kerio:text id="dir_empty"/>'.'</td></tr>'; 
else { 
foreach ($x_32['entries'] as $x_5g => $x_6l) { 
$x_4n .= '	<tr class="browserRow'.($x_5f%2==0 ? ' oddrow' : '').'"'.$x_6m.'>


								<td class="checkCol">'; 
if ($x_6l["type"] != sslvpn_DET_Unknown && $x_6l["type"] != sslvpn_DET_Up && $x_6l["type"] != sslvpn_DET_File) 
$x_63[] = Array('type' => $x_6l["type"], 'name' => $x_6l['name'], 'urlPath' => $x_6l['urlPath']); 
if ($x_6l["type"] == sslvpn_DET_File && $x_31 == 0) 
$x_4n .= '<input id="'.$x_5g.'" name="file[]" type="checkbox" value="'.urlencode($x_6l["urlPath"]).'" onClick="x_5e(\'\',\''.$x_5g.'\')">'; 
elseif ($x_6l["type"] == sslvpn_DET_Directory && $x_31 == 0) 
$x_4n .= '<input id="'.$x_5g.'" name="dir[]" type="checkbox" value="'.urlencode($x_6l["urlPath"]).'" onClick="x_5e(\'\',\''.$x_5g.'\')">'; 
else 
$x_4n .= '&nbsp;'; 
$x_4n .= '</td>' 
. x_6n($x_6l['name'], $x_6l['type'], $x_6l['urlPath'], $x_6l['size'], $x_6l['date'], $x_6l['time'], $x_6l['description'], $x_32['upload'], $x_2x) . 
'	</tr>'; 
$x_5f++; 
} 
} 
$x_65 = Array('upload'=>$x_32['upload'], 
'hasParent'=>$x_32['hasParent'], 
'name'=>$x_32['name'], 
'type'=>$x_32['type'], 
'entriesSystemErrorCode'=>$x_32['entriesSystemErrorCode'], 
'entriesResult'=>$x_32['entriesResult']); 
$x_4n .= '</table></form>'; 
} 
return Array($x_4n, $x_63, $x_3w); 
} 
function x_6n($x_44 = '', $x_3n = '', $x_1r = '', $x_5w = '', $x_6o = '', $x_6p = '', $x_5k = '', $x_6q, $x_2x = '') { 
$x_5f = 0; 
if ($x_3n != sslvpn_DET_File) 
$x_6r[$x_5f] = '<td class="iconCol"><span class="browseSpan" onClick="x_5i(\'/browse' . $x_1r . '\')" onDblClick="x_5i(\'/browse' . $x_1r . '\')">' . x_5v($x_3n) . '</span></td>'; 
else 
$x_6r[$x_5f] = '<td class="iconCol"><a href="' . $x_2x . $x_1r . '" class="browseTitle">' . x_5v($x_3n) . '</a></td>'; 
$x_5f++; 
if ($x_3n != sslvpn_DET_File) 
$x_6r[$x_5f] = '<td><span class="browseSpan" onClick="x_5i(\'/browse' . $x_1r . '\')" onDblClick="x_5i(\'/browse' . $x_1r . '\')">' . $x_44 . '</span></td>'; 
else 
$x_6r[$x_5f] = '<td><a href="' . $x_2x . $x_1r . '" class="browseTitle">' . $x_44 . '</a></td>'; 
$x_5f++; 
$x_6r[$x_5f] = '<td id="sizeCell">' . x_5u($x_3n, $x_5w) . '</td>'; 
$x_5f++; 
if (strlen($x_6o) != 0 && strlen($x_6p) != 0 && $x_6q == 1) 
$x_6r[$x_5f] = '<td>' . str_replace(' ', '&nbsp;',$x_6o . ' ' . $x_6p) . '</td>'; 
else 
$x_6r[$x_5f] = '<td> </td>'; 
$x_5f++; 
$x_6r[$x_5f] = '<td>' . str_replace(' ', '&nbsp;', trim(htmlspecialchars($x_5k))) . '</td>'; 
return implode("", $x_6r); 
} 
?>
